flow-log2rrd(1)

NAME
flow-log2rrd — Process the STAT: lines from flow-capture and flow-fanout to RRD files.

SYNOPSIS

flow-log2rrd [-p rrd_path]

DESCRIPTION

The flow-log2rrd utility processes the STAT lines generated by flow-capture and flow-fanout and converts them into RRD files. RRD's are stored as rrd_path/capture|fanout.hostname.srcip.dstip.port.rrd. The Datastores are flows,pkts,lost representing flows, packets, and lost flows respectively. Flow-fanout generates an additional DS nobufs indicating the number of times a write() failed with ENOBUFS.

OPTIONS

-p rrd_path
    Path to store files.

EXAMPLES

Convert flow-capture STAT lines in /var/log/netflow to RRD's in /flows/rrd/.

    cat /var/log/netflow | flow-rpt2rrd -p /flows/rrd

BUGS

Expects STAT lines every 5 minutes. Hard coded to 7 days of 5 minute averages and 365 days of 1 day averages.

AUTHOR

Mark Fullmer maf@splintered.net

SEE ALSO

flow-tools(1)